## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticlesObjectState Struct Reference
[Mesh plugins, Mesh plugins]

Particles state object. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticlesObjectState:

[legend]
List of all members.

## Public Member Functions

virtual void | ChangePhysicsPlugin (const char *plugin)=0
| Change the particle physics plugin (Defaults to loading 'crystalspace.particles.physics.simple').
virtual void | GetEmitPosition (csVector3 &position)=0
| Get emitter position.
virtual csReversibleTransform | GetObjectToCamera ()=0
| Get the camera transform.
virtual const csMatrix3 & | GetRotation ()=0
| Get the object rotation matrix.
virtual bool | IsRunning ()=0
| Returns true if this particle simulation is running.
virtual void | Start ()=0
| (Re)Start the particle emitter.
virtual void | Stop ()=0
| Stop this particle object from emitting any more particles.

## Detailed Description

Particles state object.

Definition at line 329 of file particles.h.

## Member Function Documentation

virtual void iParticlesObjectState::ChangePhysicsPlugin | ( | const char * | plugin | ) | `[pure virtual]`

| Change the particle physics plugin (Defaults to loading 'crystalspace.particles.physics.simple').

virtual void iParticlesObjectState::GetEmitPosition | ( | csVector3 & | position | ) | `[pure virtual]`

| Get emitter position.

virtual csReversibleTransform iParticlesObjectState::GetObjectToCamera | ( |  | ) | `[pure virtual]`

| Get the camera transform.

virtual const csMatrix3& iParticlesObjectState::GetRotation | ( |  | ) | `[pure virtual]`

| Get the object rotation matrix.

virtual bool iParticlesObjectState::IsRunning | ( |  | ) | `[pure virtual]`

| Returns true if this particle simulation is running.

virtual void iParticlesObjectState::Start | ( |  | ) | `[pure virtual]`

| (Re)Start the particle emitter. This is automatically called when the particle mesh object is created if autostart is enabled (default:yes)

virtual void iParticlesObjectState::Stop | ( |  | ) | `[pure virtual]`

| Stop this particle object from emitting any more particles.

The documentation for this struct was generated from the following file:

- imesh/particles.h